Subject: Memory segments

From: Carsten Langgaard <[email-masked]>
Date: Mon, 21 May 2001 12:51:48 +0200

In the macros PHYSADDR, KSEG0ADDR, KSEG1ADDR, KSEG2ADDR and KSEG3ADDR in
include/asm-mips64/addrspace.h the addresses are and'ed with
0x000000ffffffffffUL, instead of and'ed with 0x000000001fffffffUL why is
that ?
I do understand the address space is extended in 64 bit mode, but the
macros is used to manipulate KSEG0 and KSEG1 addresses, which is located
between 0xffffffff80000000-0xffffffffbfffffff. So the macros are broken
if you change an address from KSEG1 to KSEG0.

/Carsten

--
_    _ ____  ___   Carsten Langgaard   Mailto:[email-masked]
|\  /|||___)(___   MIPS Denmark        Direct: +45 4486 5527
| \/ |||    ____)  Lautrupvang 4B      Switch: +45 4486 5555
  TECHNOLOGIES     2750 Ballerup       Fax...: +45 4486 5556
                   Denmark             http://www.mips.com